#471 closed enhancement (fixed)

Move bsp_specs' LIB_SPEC's into gcc

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: tool Version: 4.7
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

I would like to propose the attached patch to gcc.

It moves the BSP's bsp_specs' lib:-rules (aka. LIB_SPEC) from a BSP's bsp_specs into gcc's spec.
This step allows using one common LIB_SPEC for all embedded rtems-gccs instead of individual lib:-rules in bsp_specs.

(Read: This allows us to remove all lib:-rules from all bsp_specs, except for unix/posix).

The patch is against current gcc-3.3-branch (gcc-3.3.2pre) but also should be applicable to former gcc versions.

Semi-critical problem:

  • Once the lib-rules have been removed from bsp_specs, users will have to upgrade their gcc or to hack their gcc's specs-file.
  • Users continuing to use lib-rules inside of bsp_specs should not interfere with this patch.

Release:
RTEMS-4.6 + RTEMS-4.7

Attachments (1)

gcc-3.3.2-rc-20030908-1.diff (623 bytes) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
gcc-3.3.2-rc-20030908-1.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Sep 2, 2003 at 8:04:51 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Feb 10, 2005 at 8:48:49 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: This patch appears to be in gcc 3.3.5, gcc 3.4.3, and the
CVS Head so the PR should be able to be closed. :)

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

gcc-3.3.2-rc-20030908-1.diff

Note: See TracTickets for help on using tickets.